// this code is generated and should not be modified
package fpml5.confirmation;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class CreditEvents extends Concept {
   private boolean bankruptcy;
   private boolean failureToPayPrincipal;
   private boolean failureToPayInterest;
   private boolean obligationDefault;
   private boolean obligationAcceleration;
   private boolean repudiationMoratorium;
   private boolean governmentalIntervention;
   private boolean distressedRatingsDowngrade;
   private boolean maturityExtension;
   private boolean writedown;
   private boolean impliedWritedown;
   private String id;
   public boolean getBankruptcy() {
      return this.bankruptcy;
   }
   public boolean getFailureToPayPrincipal() {
      return this.failureToPayPrincipal;
   }
   public boolean getFailureToPayInterest() {
      return this.failureToPayInterest;
   }
   public boolean getObligationDefault() {
      return this.obligationDefault;
   }
   public boolean getObligationAcceleration() {
      return this.obligationAcceleration;
   }
   public boolean getRepudiationMoratorium() {
      return this.repudiationMoratorium;
   }
   public boolean getGovernmentalIntervention() {
      return this.governmentalIntervention;
   }
   public boolean getDistressedRatingsDowngrade() {
      return this.distressedRatingsDowngrade;
   }
   public boolean getMaturityExtension() {
      return this.maturityExtension;
   }
   public boolean getWritedown() {
      return this.writedown;
   }
   public boolean getImpliedWritedown() {
      return this.impliedWritedown;
   }
   public String getId() {
      return this.id;
   }
   public void setBankruptcy(boolean bankruptcy) {
      this.bankruptcy = bankruptcy;
   }
   public void setFailureToPayPrincipal(boolean failureToPayPrincipal) {
      this.failureToPayPrincipal = failureToPayPrincipal;
   }
   public void setFailureToPayInterest(boolean failureToPayInterest) {
      this.failureToPayInterest = failureToPayInterest;
   }
   public void setObligationDefault(boolean obligationDefault) {
      this.obligationDefault = obligationDefault;
   }
   public void setObligationAcceleration(boolean obligationAcceleration) {
      this.obligationAcceleration = obligationAcceleration;
   }
   public void setRepudiationMoratorium(boolean repudiationMoratorium) {
      this.repudiationMoratorium = repudiationMoratorium;
   }
   public void setGovernmentalIntervention(boolean governmentalIntervention) {
      this.governmentalIntervention = governmentalIntervention;
   }
   public void setDistressedRatingsDowngrade(boolean distressedRatingsDowngrade) {
      this.distressedRatingsDowngrade = distressedRatingsDowngrade;
   }
   public void setMaturityExtension(boolean maturityExtension) {
      this.maturityExtension = maturityExtension;
   }
   public void setWritedown(boolean writedown) {
      this.writedown = writedown;
   }
   public void setImpliedWritedown(boolean impliedWritedown) {
      this.impliedWritedown = impliedWritedown;
   }
   public void setId(String id) {
      this.id = id;
   }
}
